 	
;************rutina na incializaciaciu LCD displeja********* 
	;REG0				;pracovn registr
	;REG1=CNT1      	;tae prchod
	;REG2=CNT2      	;pro ekac
	;REG3=CNT3          ;rutiny
	.EQU E=6	;signly
	.EQU RS=7	;pro zen
	;.EQU RW=2	;LCD
	;.EQU LED=0
    .EQU DDR=DDRB	;zen smru
    .EQU PORT=PORTB	;port
	
LCDINI:	
    LDI REG0,$00	
	OUT PORT,REG0	;vchoz hodnoty
	LDI REG0,$FF	
	OUT DDR,REG0	;vstup reim
	
	RCALL CEK15M	;ekej 15ms
	
	CBI PORT,RS		;RS=0
	SBI PORT,E		;E=1
	LDI REG0,$30	;100ns DATA=$30
	OUT PORT,REG0	;100ns
	;NOP				;100ns
	;NOP				;100ns
	;NOP
	CBI PORT,E		;E=0
	RCALL CEK4M1	;pokej 4,1ms
	SBI PORT,E		;E=1
	;NOP
	;NOP
	;NOP
	;NOP
	;NOP
	CBI PORT,E		;E=0
	RCALL CEK100	;pokej 100us
	SBI PORT,E		;E=1
	;NOP
	;NOP
	;NOP
	;NOP
	;NOP
	CBI PORT,E		;E=0
	RCALL CEK40		;ekej 40us
	
	LDI REG0,$28	;nastavanen funkce
	RCALL WRCMD	
	
	LDI REG0,$28	;nastavanen funkce
	RCALL WRCMD	
	
	
	LDI REG0,$08	;vypnut displeja
	RCALL WRCMD	
	
	LDI REG0,$01	;zmazanie displeja
	RCALL WRCMD	
	
	LDI REG0,$06	;reim inkrementace
	RCALL WRCMD	
	
	LDI REG0,$01	;smazn displeje
	RCALL WRCMD	
	
	LDI REG0,$0C	;vypnut displeja
	RCALL WRCMD	
	
	
	RET	


;*****rutina na zapis na displej bud data alebo prikazy*******
		;zape data/pkaz REG0
WRDATA:	SET	;T=1
	  	SBI PORT,RS		;RS=1
		RJMP WR1
WRCMD:	CLT				;T=0
	    CBI PORT,RS		;RS=0
WR1:	MOV REG2,REG0	;schovej REG0
		
		SBI PORT,E		;E=1
		
		ANDI REG0,$F0	;vymaskuj horn bity
		
		BLD REG0,0
		
		BST REG0,7
		BLD REG0,2
		
		BST REG0,6	
		BLD REG0,3
		
		BST REG0,5	
		BLD REG0,1
		
		BST REG0,4	
		BLD REG0,5
		
		BST REG0,1	
		BLD REG0,4
		
		BST REG0,0
		
		ORI REG0,$40	;PRIDAJ E=1
		
		BLD REG0,RS		;pidej RS(T)
		
		OUT PORT,REG0	;vystav
		
		CBI PORT,E		;E=0
		SBI PORT,E		;E=1
		
		MOV REG0,REG2	;obnov REG0
		ANDI REG0,$0F	;vymaskuj doln bity
		SWAP REG0	    ;dej na msto hornch
		
		BLD REG0,0
		
		BST REG0,7
		BLD REG0,2
		
		BST REG0,6	
		BLD REG0,3
		
		BST REG0,5	
		BLD REG0,1
		
		BST REG0,4	
		BLD REG0,5
		
		BST REG0,1	
		BLD REG0,4
		
		BST REG0,0
		
		
		ORI REG0,$40	;pidej E=1 
		
		BLD REG0,RS		;pidej RS(T)
		
		OUT PORT,REG0	;vystav
		CBI PORT,E		;E=0
		
		RCALL CEK40		;pokej 40us
		
		BRTS WREND		;pokud T=1, konec
		
		MOV REG0,REG2	;obnov REG0
		CPI REG0,$01	;pro $01, $02, $03
		BREQ WR2		;ekej 1,6ms
		CPI REG0,$02	
		BREQ WR2	
		CPI REG0,$03	
		BREQ WR2	

WREND:	RET	

WR2:	RCALL CEK1M6	
		RET	

