;termosenzor 
;********************************************
CIT0:	IN IZASOB,SREG	;ulo SREG
		CLC				;C=0
		SBIC PIND,4		;je-li PB0=0 pesko
		ADIW STRIDA,1	;pro PB0=1 zvy STRIDA
		BRCC CIT0C		;C=0, kdy nepetee
						;STRIDA petekla:
		LDI STRIDL,$FF	;nastav
		LDI STRIDH,$FF	;STRIDA=$FFFF

CIT0C:	LDI IREG,1	
		ADD CASL,IREG	;zvy CAS
		CLR IREG		;o 1
		ADC CASH,IREG	
		BRCC CIT0K		;C=0, kdy se m dl
		;as vyprel->zobarezn stavu:
		;odeten K1



CIT0P:	SUBI STRIDL,LOW(K1)	
		SBCI STRIDH,HIGH(K1)	;STRIDA=STRIDA-K1
		IN IREG,SREG			;ulo SREG
		BRCC CIT0D				;C=0->vsledek je kladn
								;vsledek je zporn:
		COM STRIDL				;vpoet
		COM STRIDH				;druhho
		ADIW STRIDA,1			;doplku
								;podlen K2

CIT0D:	MOV REG0,STRIDL	
		MOV REG1,STRIDH	
		LDI REG2,LOW(K2)	
		LDI REG3,HIGH(K2)		;T=(STRIDA-K1)/K2
		RCALL DEL16				;podl
				
		
				
		STS TBUF+1,REG0			;ulozenie vysledku z merania
		LDS REG1,TBUF			;nahranie 
		RCALL div8u				;podelim 
		TST REG0				;otestujem 	
		BRNE xxxc				;ak je vacsia skoc na CIT0D1
		RJMP CIT0D0		

		;CP REG0,REG1			;porovnanie aktualnej teploty a ulozenej		
xxxc:	;BRNE CIT0D0				;ak sa nerovnaju skoc na CIT0D0
		
		SBRC PRIZ,3				;ak nieje nastaveny priznak ze uz bol spusteny casovac RTC tak toto preskoc
		RJMP CIT0D0				;inak skoc na CIT0D0
		
		SBR PRIZ,0b00001000		;nastav priznak ze uz bol casovac RTC aby sa to nezacyklilo 
		
		RCALL RUNALAR			;sputi RTC 
		
		
CIT0D0:	LDS REG0,TBUF+1			;nahraj teplotu zmeranu
		LDS REG1,TBUF			;nahraj teplotu nastavenu

		RCALL div8u				;podelim 
		TST REG0				;otestujem 	
		BRNE CIT0D1				;ak je vacsia skoc na CIT0D1
		RJMP CIT0D2				;ak je mensia skoc na CIT0D2
		
	
CIT0D1:	CBI PORTD,POH			;vypni ohrev
		RJMP CITD03

CIT0D2:	SBI PORTD,POH			;zapni ohreva	
		
		
CITD03:	LDS REG0,TBUF+1			;nahranie zmeranej teploty 
		LDI POZ,$82				;nastavnie pozicie zobrazenia teploty
		
		OUT SREG,IREG			;obnov SREG
		
		RCALL ZTEMP				;zobraz teplotu zmeranu
		RCALL TIMER				;zobraz odpocitavanie
		
		
		LDI IREG,16				;to to neviem co robi 
		BRCC CIT0Z				;
		LDI IREG,17				;


CIT0Z:	CLR STRIDL				;nuluj STRIDA
		CLR STRIDH				;pro dal odmr
		
CIT0K:	LDI IREG,PREDD			;obnov nastaven
		OUT TCNT0,IREG			;intervalu / 0
		OUT SREG,IZASOB			;obnov SREG
		RETI	
;***************************************************



SETEMP:		LDI REG0,0b00001110	;nastavenie aby kurzor bolo vidiet
			RCALL WRCMD
		
		
			LDS ZAS,TBUF		
		

SETEMP1:	LDI REG0,$C3		;nastavim kurzor na 
			RCALL WRCMD   				
			
	
			LDI REG3,15			;oneskorenie medzi zadavanim jednotlivych cislic
			RCALL CEKML

			RCALL RKEY			;nacitanie klaves
			TST ACC
		
			CPI ACC,0b00000111  ;7	nic stlacene	
	 		BREQ SETEMP1	
			CPI ACC,0b00000110	;6 <	
	 		BREQ SETEMP2			
			CPI ACC,0b00000010	;5 >		
	 		BREQ SETEMP3
			CPI ACC,0b00000001	;3 set
	 		BREQ SETEMP4
			CPI ACC,0b00000101	;1 cancel
	 		BREQ SETEMP5			
			RJMP SETEMP1
		
SETEMP2:	CPI ZAS,15	;< pod 50 nemoze klesnut
			BREQ SETEMP1
			DEC ZAS
			
			MOV REG0,ZAS
			LDI POZ,$C1
			RCALL ZTEMP

								
			RJMP SETEMP1			

SETEMP3:	CPI ZAS,120	;	> nad 120 hod nie je mozne
			BREQ SETEMP1
			INC ZAS
						
			MOV REG0,ZAS
			LDI POZ,$C1
			RCALL ZTEMP
			
		
			RJMP SETEMP1			
			

SETEMP4:	STS TBUF,ZAS	;uchovanie danej hodnoty v Bufferi
			LDI REG0,7
			MOV REG1,ZAS	;uchovanie danej hodnoty v EEPROM 
			RCALL EMW

;MOZME ESTE UPRAVIT NAZOV
SETEMP5:	LDI REG0,0b00001100	;nastavenie aby kurzor nebolo vidiet
			RCALL WRCMD
			
			LDI REG3,20		;ONESKORENIE
			RCALL CEKML
			
			RJMP LOOP		;VRATENIE 