	.NOLIST	
	.INCLUDE "2313def.inc"	
	.LIST	
;buffre pre casy a teplotu
	.DSEG
		BUF:	.BYTE(3)
		TBUF1:	.BYTE(3)
		TBUF2:	.BYTE(3)
		TBUF:	.BYTE(2)
	.CSEG					;kdov segment

;pracovne registre	
	.DEF REG0=R16
	.DEF REG1=R17	
	.DEF REG2=R18	
	.DEF REG3=R19
	.DEF REG4=R10	
	.DEF REG5=R11
	.DEF REG6=R12
	.DEF REG7=R13
	.DEF REG8=R14
	
	
	.DEF SECU=R9
	.DEF ZAS=R20
	.DEF ACC=R21
	.DEF POZ=R22
	.DEF PRIZ=R23  
	
	
	
;registre pre teplomer
	.DEF IZASOB=R26	;zsobnk
	.DEF IREG=R27	;pracovn registr
	
	.DEF CAS=R28	;asov daj:
	.DEF CASL=R28	;doln a 
	.DEF CASH=R29	;horn bajt
	
	.DEF STRIDA=R30	;doba log.1:
	.DEF STRIDL=R30	;doln a
	.DEF STRIDH=R31	;horn bajt
	
	
;konstanty 	
	.EQU PREDD=255	;uruje periodu / 0
	.EQU K1=20972	;konstanty pro
	.EQU K2=308		;vpoet teploty
	.EQU CEKANI=750	;ekac doba pi ten	;PORTD-7SEG, PORTB-KLAV
	
;piny pre spinanie	
	.EQU PUV=6
	.EQU POH=5
	
;.cseg
.org $0000
	RJMP RESET
.org $0002
	RJMP PINT1	
.org $0006	
	RJMP CIT0	
	.INCLUDE "LCD.INC"
	.INCLUDE "ZOBR.INC"
	.INCLUDE "OPER.INC"
	.INCLUDE "CAK.INC"
	.INCLUDE "AVRI2C.INC"
	.INCLUDE "RTC.INC"
	.INCLUDE "SMT160.INC"


RESET:	LDI REG0,RAMEND
		OUT SPL,REG0			;nastav SP na konec SRAM
		
		
;nulovanie registrov		
		;CLR REG0
		CLR PRIZ
		CLR SECU
		;CLR CASL		;nuluj as
		;CLR CASH	
		;CLR STRIDL		;nuluj stdu
		;CLR STRIDH	
	
		
;nastavenie portu D,klavesnica,ohrev,UV-svetlo,senzor,prerusenie s RTC
		LDI REG0,0b01100000
		OUT DDRD,REG0
		
		LDI REG0,0b00011111
		OUT PORTD,REG0
		
		;CBI DDRD,0
		;CBI DDRD,1	    
		;CBI DDRD,2	    
		
;		SBI PORTD,0
;		SBI PORTD,1	    
;		SBI PORTD,2	    
		
		
		RCALL LCDINI
		
		
;vypni ohrev a uv-svetlo
		;SBI DDRD,POH	    
		;CBI PORTD,POH    				    
		
		;SBI DDRD,PUV	    
		;CBI PORTD,PUV    				    

		
;		SBI PORTD,4		;teplotny senzor
;		CBI	DDRD,4
		
;nacitanie casu ohrevu z eeprom		
		LDI REG0,1
		RCALL RBUF
		RCALL WTBUF1
		

;nacitanie casu UV svetla z eeprom
		LDI REG0,4
		RCALL RBUF
		RCALL WTBUF2
		

;nacitanie teploty z eeprom		
		LDI REG0,7
		RCALL EMR
		STS TBUF,REG1

		
		
		
		
;nastavenie casovaca pre senzor teploty		
		LDI REG0,PREDD		;REG=255
		OUT TCNT0,REG0		;tedy jeden impulz
		LDI REG0,0b00000010	;povol
		OUT TIMSK,REG0
				
;		LDI REG0,0b10000000	;povol
;		OUT GIMSK,REG0
;		CLR REG0
;		OUT MCUCR,REG0
		
		
		

;HLAVNA SLUCKA
;**********************
LOOP: 	RCALL ZMENU
		RCALL KLAV
		LDI REG3,15
		RCALL CEKML
					
		RJMP LOOP
;***********************
		


;*******zobrazenie zakladneho menu
ZMENU:	CPI PRIZ,0b00000000   
		BREQ A              ;Ak REG0=A -> chod na zobrazenie teploty
		CPI PRIZ,0b00000001 
		BREQ B           	;Ak REG0=B -> chod na zobrazenie casu ohrevu
		CPI PRIZ,0b00000010 
    	BREQ C            	;Ak REG0=C -> chod na zobrazenie casu UV-svetla
		RJMP KMENU

A:		RJMP TEPL		
B:		RJMP CASOH
C:		RJMP CASUV

				

TEPL:	RCALL CLCD
		
		LDI REG0,low(0)
		LDI REG1,high(0)
		RCALL LCDPIS	
		

		LDS REG0,TBUF	
		LDI POZ,$C1
		RCALL ZTEMP
		
		
		
		RJMP KMENU





CASOH:	RCALL CLCD
		
		LDI REG0,low(16)
		LDI REG1,high(16)
		RCALL LCDPIS	
		
		RCALL RTBUF1
		RCALL ZTIME
			
	
		
		RJMP KMENU






CASUV:	RCALL CLCD
		
		LDI REG0,low(34)
		LDI REG1,high(34)
		RCALL LCDPIS	
		
		RCALL RTBUF2
		RCALL ZTIME
		

		RJMP KMENU




KMENU: 	RET		
		
		
		
	
		
		
		
		
		
;********0bshluha klavesnice v menu		
KLAV:	RCALL RKEY		
		
		CPI ACC,0b00000111  ;7	nic stlacene	
	 	BREQ KKLAV			
		CPI ACC,0b00000110	;6 <-vlavo-dole	
	 	BREQ JVLAVO			
		CPI ACC,0b00000010	;5 >
	 	BREQ JVPRAVO
		CPI ACC,0b00000000	;4 program 1 			
	 	BREQ JPRG1			
		CPI ACC,0b00000001	;3 set
	 	BREQ JNASTAV			
		CPI ACC,0b00000101	;1 cancel 
	 	BREQ KKLAV			
		CPI ACC,0b00000100	;2 program 2
	 	BREQ JPRG2			
		
KKLAV:	RET
				
JVLAVO: RJMP VLAVO
JVPRAVO:RJMP VPRAVO
JPRG1: 	RJMP PRG1
JNASTAV:RJMP NASTAV
JPRG2:	RJMP PRG2


VPRAVO: CPI PRIZ,$03
		BREQ VPRAVO1
		INC PRIZ
		RJMP KKLAV
VPRAVO1:CBR PRIZ,0b00000011	
		RJMP KKLAV		


VLAVO:	CPI PRIZ,$00
		BREQ VLAVO1
		DEC PRIZ
		RJMP KKLAV		
VLAVO1: SBR PRIZ,0B00000011
		RJMP KKLAV		


NASTAV: CPI PRIZ,0b00000000   
		BREQ NTEPL              ;chod na nastavenie teploty
		CPI PRIZ,0b00000001 
		BREQ NCASOH           	;chod na nastavenie casu ohrevu
		CPI PRIZ,0b00000010 
    	BREQ NCASUV          	;chod na nastavenie casu UV svetla
		
	
NTEPL:	RCALL SETEMP			;zavolanie rutiny pre nastavenie teploty
		RJMP NK


NCASOH:	RCALL RTBUF1			;nacitanie povodnej hodnoty do BUF
		
		RCALL SETIME			;zavolanie rutiny pre nastavenie casu
		RCALl ZTIME				;zobrazenie noveho nastaveneho casu
		
		RCALL WTBUF1			;zapisanie casu z BUF do TBUF1
		LDI REG0,1
		RCALL WBUF				;zapisanie do EEPROM
		
		RJMP NK


NCASUV:	RCALL RTBUF2			;nacitanie povodnej hodnoty do BUF
		
		RCALL SETIME			;zavolanie rutiny pre nastavenie casu
		RCALl ZTIME				;zobrazenie noveho nastaveneho casu
		
		RCALL WTBUF2			;zapisanie casu z BUF do TBUF2
		LDI REG0,4
		RCALL WBUF				;zapisanie do EEPROM

		
		RJMP NK





;rutina pre spustenie ohrevu
PRG1:	RCALL CLCD		
		
		LDI REG0,low(52)		;zobraz dany text
		LDI REG1,high(52)
		RCALL LCDPIS
		
		
		RCALL RTBUF1			;zobraz nastaveny cas
		RCALL ZTIME
		
		
		;nastav T0 na meranie teploty 							
		LDI REG0,0b00000011			
		OUT TCCR0,REG0			;preddelika f0/64
				
		LDI REG0,0b10000000		;povol
		OUT GIMSK,REG0
		CLR REG0
		OUT MCUCR,REG0
		
		
		CLR SECU
		RCALL RTBUF1			;zobraz nastaveny cas
		RCALL SETALAR			;nastav RTC
		RCALL RTBUF1			;nacitaj TBUF1 do BUF
		
		SBI DDRD,POH	    	;aktivuj ohrev
		SBI PORTD,POH

				
	
		SEI						;povol prerusenie	
;************* loop ohrevu ****************
PRG10:	IN ACC,PIND				;citaj stav do ACC
	    CBR ACC,0b11111000		;vymaskuj 
		CPI ACC,0b00000101		;cancel
	 	BREQ PRG11
		SBIC DDRD,POH			;cakaj na vypnutie ohrevu RTC
		RJMP PRG10
;********************************************
		CLI						;zakaz prerusenie
		
		LDI PRIZ,$01

		RJMP NK

PRG11:	SBI DDRD,$03		    ;aktivuj softverove prerusenie
		CBI PORTD,$03
			
		RJMP PRG10				;vrat sa do loop ohrevu





;rutina pre spustenie UV-svetla
PRG2:	RCALL CLCD
			
		LDI REG0,low(34)	;zobraz dany text
		LDI REG1,high(34)
		RCALL LCDPIS	
		
		;RCALL RTBUF2		;zobraz nastaveny cas
		;RCALL TIMER
		

		LDI REG0,0b10000000	;povol prerusenie INT1
		OUT GIMSK,REG0
		CLR REG0
		OUT MCUCR,REG0
		OUT TCCR0,REG0		;vypnutie casovaca
							
	;	RCALL SETALAR		;nastav RTC
	;	RCALL RTBUF2		;nahraj z TBUF2 do BUF
		
		CLR SECU

		SBI DDRD,PUV	    ;aktivuj UV-svetlo
		SBI PORTD,PUV
		
		LDI REG3,250
		RCALL CEKML
		LDI REG3,250
		RCALL CEKML						
		
		RCALL RTBUF2		;nahraj z TBUF2 do BUF
		RCALL SETALAR		;nastav RTC
		RCALL RTBUF2		;nahraj z TBUF2 do BUF
		RCALL RUNALAR		;spust RTC
		
		
		SEI					;povol prerusenie;
;************* loop UV-svetla ****************
PRG20:	RCALL TIMER			;zavolaj zobrazovanie odpocitavania
		
		IN ACC,PIND			;citaj stav do ACC
	    CBR ACC,0b11111000	;vymaskuj 
		CPI ACC,0b00000101	;cancel
	 	BREQ PRG21
		
		LDI REG3,5
		RCALL CEKML			;oneskorenie 5 ms

		SBIC PORTD,PUV		;cakaj na vypnutie UV
		RJMP PRG20			;vrat sa do slucky
;********************************************
		CLI					;zakaz prerusenie
		
		
		LDI PRIZ,$02		;nastav priznak na zobrazenie casu UV pri navrate do hlavnej slucky

	
NK:		RJMP LOOP			;vrat sa do hlavnej slucky

PRG21:	SBI DDRD,$03	    ;aktivuj softverove prerusenie
		CBI PORTD,$03
		
		RJMP PRG20			;vrat sa do slucky UV-svetla
;*****************************************

	






;rutina na obsluhu prerusenia od RTC
PINT1:	CBI PORTD,PUV		;vypni UV-svetlo
		CBI PORTD,POH		;vypni ohrev
		CBI DDRD,POH		;vypni ohrev 
		
		CBI DDRD,$03	    ;nastav pin INT1 ako vstup s pull-up
		SBI PORTD,$03
		
		CLR CASL			;nuluj cas
		CLR CASH	
		CLR STRIDL			;nuluj striedu
		CLR STRIDH	
	
		RCALL I2CSTA			;zastav RTC
		LDI I2CACC,0b10100000
		RCALL I2CPSL	
		LDI I2CACC,0b00000000
		RCALL I2CPSL	
		LDI I2CACC,0b10000100
		RCALL I2CPSL	
		RCALL I2CSTP
		
		RETI				;navrat z prerusenia





;**********rutina na nacitanie klavesy********
RKEY:	IN ACC,PIND			;citaj stav do ACC
	    CBR ACC,0b11111000	;vymaskuj 
		LDI REG1,CEKANI		;pockaj
RKEY1:	DEC REG1	
	    BRNE RKEY1	
		IN REG1,PIND		;citaj stav do REG1
		CBR REG1,0b11111000	;vymaskuj 
		CP ACC,REG1			;porovnaj
		BRNE RKEY			;ACC=REG1->chod dalej
		RET
		
		
		
		
		
;*************rutiny na nahranie TBUF1 a TBUF2 do BUF
		
RTBUF1:	LDS REG0,TBUF1
		STS BUF,REG0
		
		LDS REG0,TBUF1+1
		STS BUF+1,REG0
		
		LDS REG0,TBUF1+2
		STS BUF+2,REG0
 
 		RET			



RTBUF2:	LDS REG0,TBUF2
		STS BUF,REG0
		
		LDS REG0,TBUF2+1
		STS BUF+1,REG0
		
		LDS REG0,TBUF2+2
		STS BUF+2,REG0		
		
		RET
		


WTBUF1:	LDS REG0,BUF
		STS TBUF1,REG0
		
		LDS REG0,BUF+1
		STS TBUF1+1,REG0
		
		LDS REG0,BUF+2
		STS TBUF1+2,REG0					

		RET
		
				
WTBUF2:	LDS REG0,BUF
		STS TBUF2,REG0
		
		LDS REG0,BUF+1
		STS TBUF2+1,REG0
		
		LDS REG0,BUF+2
		STS TBUF2+2,REG0		
		
		RET	
		
		



;rutiny pre pracu s pamatou EEPROM

WBUF: 	LDS REG1,BUF
		RCALL EMW
		INC REG0
		LDS REG1,BUF+1
		RCALL EMW
		INC REG0
		LDS REG1,BUF+2
		RCALL EMW
		RET


RBUF:	RCALL EMR
		STS BUF,REG1
		INC REG0
		RCALL EMR
		STS BUF+1,REG1
		INC REG0
		RCALL EMR
		STS BUF+2,REG1
		RET


EMW:	SBIC EECR,EEWE
 		RJMP EMW
		OUT EEAR,REG0
		OUT EEDR,REG1
		CLI
		SBI EECR,EEMWE
		SBI EECR,EEWE
		RET


EMR:	SBIC EECR,EEWE
		RJMP EMR
		OUT EEAR,REG0
		CLI
		SBI EECR,EERE
		IN REG1,EEDR
		RET







