;*******rutina na delenie dvoch 16 bitovych cisel******* 
DEL16:	LDI ACC,16    ;POC                      REG0=DELAL,REG1=DELAH
    	CLR REG4 	  ;VYSLL					REG2=DELBL,REG3=DELBH
	  	CLR REG5      ;VYSLH
		CLR REG6      ;DELAPL
		CLR ZAS       ;DELAPH 
DELSM:  ROL REG0
		ROL REG1
		ROL	REG6
		ROL ZAS
		CP REG6,REG2
		CPC ZAS,REG3
		BRCS DELMI
		SUB REG6,REG2
		SBC ZAS,REG3
DELMI:	ROL REG4
		ROL	REG5
		DEC ACC
		BRNE DELSM
		COM REG4
		COM	REG5
		MOV REG0,REG4
		MOV REG1,REG5
		MOV REG2,REG6
		MOV REG3,ZAS
		RET


.def	drem8u	=r18		;reg2 zvysok remainder
.def	dres8u	=r16		;reg0 vysledok result

.def	dd8u	=r16		;reg0 delenec dividend
.def	dv8u	=r17		;reg1 delitel divisor

.def	dcnt8u	=r19		;loop counter

;***** Code

div8u:	sub	drem8u,drem8u	;clear remainder and carry
		ldi	dcnt8u,9		;init loop counter
d8u_1:	rol	dd8u			;shift left dividend
		dec	dcnt8u			;decrement counter
		brne	d8u_2		;if done
		ret					;return
d8u_2:	rol	drem8u			;shift dividend into remainder
		sub	drem8u,dv8u		;remainder = remainder - divisor
		brcc d8u_3		;if result negative
		add	drem8u,dv8u		; restore remainder
		clc					;clear carry to be shifted into result
		rjmp d8u_1		;else
d8u_3:	sec					;   set carry to be shifted into result
		rjmp d8u_1 