;******rutina ktora pise text na LCD*******
;vstup do R30 a R31, vlozime adresu textu (low a high) co budeme vypisovat
LCDPIS:	LDI R30,LOW(ADRTXT)		;
		LDI R31,HIGH(ADRTXT)
		ADD R30,REG0
		ADC R31,REG1
LCDPIS1:LPM						;nahraj znak
	    MOV REG0,R0				;do REG
	    CPI REG0,$A0			;testuj konec
	    BREQ SKONEC
   		CPI REG0,$FE			;testuj zlom
		BREQ SZLOM
		RCALL WRDATA			;obyejn znak
SDAL:	ADIW R30,1				;na dal znak
		BRNE LCDPIS1
SKONEC:	RET						;zacyklen
SZLOM:	ADIW R30,1				;peti pozici
		LPM
		MOV REG0,R0				;do REG
		RCALL WRCMD				;nastav ji
		RJMP SDAL				;a po
		RET

		
;******rutina ktora pise cislice na urcenu poziciu
;vstup , REG0 obsahuje poziciu na displeji,REG1 co chceme zobrazit
LCDCIS: LDI R30,LOW(ADRTAB1)	
		LDI R31,HIGH(ADRTAB1)	;
		ADD R30,REG1
		CLR REG8
		ADC R31,REG8
		RCALL WRCMD
		LPM	
		MOV REG0,R0               
		RCALL WRDATA 
       	RET 

;******rutina ktora pise DVOJ cislicU na urcenu poziciu
;vstup , REG0 cislo v registri ,POZ=pozicia

LCD2CIS: LDI REG1,10
		 RCAll div8u
	     
		 MOV REG1,REG0
		 MOV REG0,POZ
		 MOV REG5,REG2
		 
		 RCALL LCDCIS
		 MOV REG1,REG5
		 MOV REG0,POZ
		 INC REG0
		 RCALL LCDCIS
		 
		 RET
		 

CLCD:	LDI REG0,$01			;smazn displeje
		RCALL WRCMD
		RET		



;*********rutina ktora zobrazuje vo forme casu obsah buferu
;poz=kde sa zobrazuje
ZTIME:	LDI POZ,$C0
		
		LDS REG0,BUF
		RCALL LCD2CIS

		;LDI REG0,':'
		;RCALL WRDATA

		;INC POZ
		;INC POZ
		;INC POZ
		LDI POZ,$C3
		
		LDS REG0,BUF+1
		RCALL LCD2CIS

		;LDI REG0,':'
		;RCALL WRDATA

		LDI POZ,$C6
		
		;INC POZ
		;INC POZ
		;INC POZ
		
		LDS REG0,BUF+2
		RCALL LCD2CIS

		RET


;*********rutina ktora zobrazuje teplotu
;poz=kde sa zobrazuje
ZTEMP:	;LDI POZ,$C1
 		;LDS REG0,TBUF	
 		
		LDI REG1,100
		RCAll div8u
	    MOV REG5,REG2 

		CPI REG0,0
		BREQ ZTEMP1
		
		
		MOV REG1,REG0
		MOV REG0,POZ
		RCALL LCDCIS
		RJMP ZTEMP2		

ZTEMP1:	MOV REG0,POZ
		RCALL WRCMD
		LDI REG0,' '
		RCALL WRDATA
		
		
ZTEMP2:	INC POZ
		MOV REG0,REG5
		RCALL LCD2CIS
		
		RET
		 
		



;***************zobrazenie odpocitavania*********


TIMER:	RCALL I2CSTA		  ;start
		LDI I2CACC,0b10100000 ;adresa RTC
		RCALL I2CPSL		  ;poli adresu
		LDI I2CACC,02		  ;adresa RTC
		RCALL I2CPSL
		RCALL I2CSTA		  ;start
		LDI I2CACC,0b10100001 ;adresa RTC
		RCALL I2CPSL		  ;poli adresu
	  	RCALL I2CCTIA1		  ;ten
		RCALL I2CSTP
			
		CP REG0,SECU          ;ak je ta ista sekunda skoc na TSTIME0	
		BREQ TIMERK 
		
		MOV SECU,REG0 
		
		LDS REG0,BUF
		LDS REG1,BUF+1
		LDS REG2,BUF+2
		
		TST REG2
		BREQ TIMER0
		DEC REG2		
		STS BUF+2,REG2
		RJMP TIMER10
		
TIMER0: TST REG1
		BREQ TIMER1
		LDI REG2,59
		DEC REG1		
		RJMP TIMER10

TIMER1: DEC REG0
		LDI REG2,59
		LDI REG1,59

TIMER10:STS BUF,REG0
		STS BUF+1,REG1
		STS BUF+2,REG2
		
		RCALL ZTIME
		
TIMERK:	RET



TAB1:.DB '0','1' ;0,1
	 .DB '2','3' ;2,3
	 .DB '4','5' ;4,5
	 .DB '6','7' ;6,7
	 .DB '8','9' ;8,9
.EQU ADRTAB1=(2*TAB1)

;				  !!!!  Stop  !!!!	
;				  !!!! Start !!!!	
;*****************++++++++--------********
TEXT:.DB $FE,$80,"Teplota:",$FE,$C4,$DF,"C",$A0
	 .DB $FE,$80,"Cas OH:",$FE,$C0,"  :  :",$A0
	 .DB $FE,$80,"Cas UV:",$FE,$C0,"  :  :",$A0
	 .DB $FE,$80,"T:",$FE,$85,$DF,"C",$FE,$C0,"  :  :",$A0
;	 ;.DB $FE,$86,"St",$FE,$C0,"op",$A0
	 .EQU ADRTXT=(2*TEXT)				
